@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;

}

body {
    background: #081b29;
    color: #ededed;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 10%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    position: relative;
    font-size: 25px;
    color: #ededed;
    text-decoration: none;
    font-weight: 600;
}

.logo::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: .4s;
}

.navbar a {
    font-size: 18px;
    color: #ededed;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px;
    transition: .3s;
}

.navbar a:hover,
.navbar a.active {
    color: #00abf0;
}

.home {
    height: 120vh;
    display: flex;
    align-items: center;
    padding: 0 10%;
}

.home-content {
    max-width: 600px;
}

.home-content h1 {
    position: relative;
    font-size: 30px;
    font-weight: 700;
    line-height: 1.2;
    bottom: -190px;
}

.home-content h1::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1s;
}

.home-content h3 {
    position: relative;
    font-size: 50px;
    font-weight: 700;
    color: #00abf0;
    bottom: -185px;
}

.home-content h3::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1.3s;
}

.home-content p {
    position: relative;
    font-size: 16.3px;
    margin: 20px 0 40px;
    bottom: -165px;
}

.home-content p::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1.6s;
}

.home-content .btn-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 345px;
    height: 45px;
    bottom: -150px;
}

.home-content .btn-box::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1.9s;
    z-index: 2;
}

.btn-box a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: #00abf0;
    border: 2px solid #00abf0;
    border-radius: 8px;
    font-size: 14px;
    color: #081b29;
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 1px;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.btn-box a:hover {
    color: #00abf0;
}

.btn-box a:nth-child(2) {
    background: transparent;
    color: #00abf0;
}

.btn-box a:nth-child(2):hover {
    color: #081b29;
}

.btn-box a:nth-child(2)::before {
    background: #00abf0;
}

.btn-box a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #081b29;
    z-index: -1;
    transition: .5s;
}

.btn-box a:hover::before {
    width: 100%;
}

.home-content .skill-content {
    position: relative;
    font-size: 16px;
    margin: 40px 0 30px;
    bottom: -160px;
} 

.home-content .skill-content::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1.7s;
}

.home-sci {
    position: relative;
    position: absolute;
    bottom: 512px;
    left: 413px;
    width: 160px;
    display: flex;
    justify-content: space-between;
}

.home-sci::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #081b29;
    animation: showRight 1s ease forwards;
    animation-delay: 1.1s;
    z-index: 2;
}

.home-sci a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #00abf0;
    border-radius: 50%;
    font-size: 20px;
    color: #00abf0;
    text-decoration: none;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home-sci a:hover {
    color: #081b29;
}

.home-sci a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #00abf0;
    z-index: -1;
    transition: .5s;
}

.home-sci a:hover::before {
    width: 100%;
}


/* KEYFRAMES ANIMATION */
@keyframes showRight {
    100% {
        width: 0;
    }
}

.projects h1{
    font-size: 40px;
    margin-top: 130px;
    margin-left: 100px;
}

.projects a{
    text-decoration: none;
    color: #00abf0;
}


.projects h3{
    padding: 0;
    margin-left: 155px;
    margin-top: 40px;
    color: #00abf0;
    font-size: 30px;
}


.projects img {
    max-width: 70%;
    height: auto;
    padding: 0;
    margin-left: 16%;
    margin-top: 60px;
}


.projects p {
    padding: 0;
    margin-left: 280px; 
    font-size: 15px;
}



@media screen and (max-width: 768px) {
    .navbar {
        flex-direction: column;
        align-items: center;
        position: static;
        background: #081b29;
        height: auto;
        opacity: 0.9;
    }
    
    .navbar a {
        margin: 10px 0;
        font-size: 16px;
        display: none;
    }

    .home {
        height: auto;
        padding: 10% 10%;
    }
    
    .home-content h1 {
        font-size: 24px;
    }

    .home-content h3 {
        font-size: 36px;
    }

    .home-content p {
        font-size: 14px;
    }

    .home-content .btn-box {
        width: 100%;
        text-align: center;
        bottom: 0;
        display: none;
    }

    .home-sci {
        bottom: 0;
        left: 0;
        width: 100%;
        justify-content: center;
        display: none;
    }
    img {
        max-width: 100%;
        height: auto;
    }
    .logo{
        font-size: 18px;
    }
    .projects h1 {
        font-size: 24px;
        margin-top: 80px;
        margin-left: 10%;
    }

    .projects h3 {
        font-size: 18px;
        margin-left: 10%;
        margin-top: 20px;
    }

    .projects img {
        width: 100%;
        margin: 20px 0;
        margin-left: 30px;
    }

    .projects p {
        margin-left: 10%;
        font-size: 14px;
    }
    
}
    


